# Uses of Interface
org.opensaml.saml.saml2.core.StatusCode

Packages that use StatusCode
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of StatusCode in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return StatusCode
Modifier and Type
Method
Description
`StatusCode`
Status.`getStatusCode()`
Gets the Code of this Status.
`StatusCode`
StatusCode.`getStatusCode()`
Gets the Status Code of this Status Code.
Methods in org.opensaml.saml.saml2.core with parameters of type StatusCode
Modifier and Type
Method
Description
`void`
Status.`setStatusCode(StatusCode newStatusCode)`
Sets the Code of this Status.
`void`
StatusCode.`setStatusCode(StatusCode newStatusCode)`
Sets the Status Code of this Status Code.

## Uses of StatusCode in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement StatusCode
Modifier and Type
Class
Description
`class`
`StatusCodeImpl`
Concrete implementation of `StatusCode`.
Fields in org.opensaml.saml.saml2.core.impl declared as StatusCode
Modifier and Type
Field
Description
`private StatusCode`
StatusCodeImpl.`childStatusCode`
Nested secondary StatusCode child element.
`private StatusCode`
StatusImpl.`statusCode`
StatusCode element.
Methods in org.opensaml.saml.saml2.core.impl that return StatusCode
Modifier and Type
Method
Description
`StatusCode`
StatusCodeBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`StatusCode`
StatusCodeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`StatusCode`
StatusCodeImpl.`getStatusCode()`
Gets the Status Code of this Status Code.
`StatusCode`
StatusImpl.`getStatusCode()`
Gets the Code of this Status.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type StatusCode
Modifier and Type
Method
Description
`void`
StatusCodeImpl.`setStatusCode(StatusCode newStatusCode)`
Sets the Status Code of this Status Code.
`void`
StatusImpl.`setStatusCode(StatusCode newStatusCode)`
Sets the Code of this Status.